#1
  1. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Apr 2013
    Posts
    7
    Rep Power
    0

    About scipy installation


    hi,
    my problem is here
    I've downloaded the scipy package , when I try to install it through linux shell it comes error

    PHP Code:
    Cythonizing sources
    scipy
    /io/matlab/mio5_utils.pyx has not changed
    scipy
    /io/matlab/mio_utils.pyx has not changed
    scipy
    /io/matlab/streams.pyx has not changed
    scipy
    /stats/vonmises_cython.pyx has not changed
    Processing scipy
    /stats/_rank.pyx
    Traceback 
    (most recent call last):
      
    File "/home/deathlypest/scipy/tools/cythonize.py"line 172in <module>
        
    main()
      
    File "/home/deathlypest/scipy/tools/cythonize.py"line 168in main
        find_process_files
    (root_dir)
      
    File "/home/deathlypest/scipy/tools/cythonize.py"line 160in find_process_files
        process
    (cur_dirfromfiletofile, function, hash_db)
      
    File "/home/deathlypest/scipy/tools/cythonize.py"line 137in process
        processor_function
    (fromfiletofile)
      
    File "/home/deathlypest/scipy/tools/cythonize.py"line 52in process_pyx
        raise Exception
    ('Building SciPy requires Cython >= 0.17')
    ExceptionBuilding SciPy requires Cython >= 0.17
    Traceback 
    (most recent call last):
      
    File "setup.py"line 229in <module>
        
    setup_package()
      
    File "setup.py"line 222in setup_package
        generate_cython
    ()
      
    File "setup.py"line 159in generate_cython
        raise RuntimeError
    ("Running cythonize failed!")
    RuntimeErrorRunning cythonize failed
    I think this my be some problems in cythonize.py file in my scipy ,but no idea how can I fix it?

    Do you have any information about that? thanks
  2. #2
  3. Contributing User
    Devshed Demi-God (4500 - 4999 posts)

    Join Date
    Aug 2011
    Posts
    4,966
    Rep Power
    481
    Have you tried the command

    sudo apt-get install python-scipy

    ?
    [code]Code tags[/code] are essential for python code and Makefiles!
  4. #3
  5. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Apr 2013
    Posts
    7
    Rep Power
    0
    Originally Posted by b49P23TIvg
    Have you tried the command

    sudo apt-get install python-scipy

    ?
    Hi, thank you very much for the suggestion. I have tried just now . It downloads the scipy package for me . and then I get into scipy package and command

    python setup.py install

    same error appears!
  6. #4
  7. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Apr 2013
    Posts
    7
    Rep Power
    0
    Originally Posted by b49P23TIvg
    Have you tried the command

    sudo apt-get install python-scipy

    ?
    may be the problem of my cython version. I can not upgrade it from shell to 1.7.
    Is there any command which can realize it ? thanks
  8. #5
  9. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Apr 2013
    Posts
    7
    Rep Power
    0
    Originally Posted by b49P23TIvg
    Have you tried the command

    sudo apt-get install python-scipy

    ?
    problem solved through pip installation. Thanks again

IMN logo majestic logo threadwatch logo seochat tools logo